List all APIs with their templates
curl --request GET \
--url https://app.apigene.ai/api/ui-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/ui-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/ui-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apis": [
{
"api_name": "<string>",
"templates": [
{
"id": "<string>",
"html": "<string>",
"application_id": "<string>",
"operation_id": "<string>",
"type": "<string>",
"is_default": false,
"template_format": "mcp-app",
"csp_config": {
"resourceDomains": [
"<string>"
],
"connectDomains": [
"<string>"
],
"frameDomains": [
"<string>"
],
"baseUriDomains": [
"<string>"
]
},
"ui_meta": {
"csp": {
"resourceDomains": [
"<string>"
],
"connectDomains": [
"<string>"
],
"frameDomains": [
"<string>"
],
"baseUriDomains": [
"<string>"
]
},
"permissions": {
"camera": {},
"microphone": {},
"geolocation": {},
"clipboardWrite": {}
},
"domain": "<string>",
"prefersBorder": true
}
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}UI Templates
List all APIs with their templates
List all APIs with all their templates grouped by API name.
Args: detailed: If True, returns full template data including HTML. If False, returns summary only.
Returns: AllAPITemplatesResponse (if detailed=True) or AllAPITemplatesSummaryResponse (if detailed=False) with all APIs and their templates grouped by API name
GET
/
api
/
ui-templates
List all APIs with their templates
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Query Parameters
If true, returns full template data including HTML content. If false, returns summary without HTML.
Response
All APIs with their templates (detailed or summary based on 'detailed' query parameter)
- AllAPITemplatesResponse
- AllAPITemplatesSummaryResponse
- AllAPITemplatesResponse
- AllAPITemplatesSummaryResponse
Response containing all APIs with their templates.
List of APIs with their templates
Show child attributes
Show child attributes
⌘I
